Debian Bug report logs - #603789
cdargs: fails to upgrade from lenny

version graph

Package: cdargs; Maintainer for cdargs is Mike Miller <mtmiller@ieee.org>; Source for cdargs is src:cdargs.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Wed, 17 Nov 2010 09:03:05 UTC

Severity: serious

Found in version cdargs/1.35-5

Fixed in version cdargs/1.35-6

Done: Francois Marier <francois@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Francois Marier <francois@debian.org>:
Bug#603789; Package cdargs. (Wed, 17 Nov 2010 09:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Francois Marier <francois@debian.org>. (Wed, 17 Nov 2010 09:03:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: cdargs: fails to upgrade from lenny
Date: Wed, 17 Nov 2010 10:00:09 +0100
[Message part 1 (text/plain, inline)]
Package: cdargs
Version: 1.35-5
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts piuparts.d.o

Hi, 

during a test with piuparts I noticed your package fails to upgrade from 
lenny. It installed fine in lenny, then the upgrade to squeeze fails.

From the attached log (scroll to the bottom...):

  Preparing to replace cdargs 1.35-3 (using .../cdargs_1.35-5_amd64.deb) ...
  ERROR: emacsen-common being used before being configured.
  ERROR: This is likely a bug in the cdargs package, which needs to
  ERROR: add one of the appropriate dependencies.
  ERROR: See /usr/share/doc/emacsen-common/debian-emacs-policy.gz
  ERROR: for details.
  dpkg: warning: subprocess old pre-removal script returned error exit status 
2
  dpkg - trying script from the new package instead ...
  ERROR: emacsen-common being used before being configured.
  ERROR: This is likely a bug in the cdargs package, which needs to
  ERROR: add one of the appropriate dependencies.
  ERROR: See /usr/share/doc/emacsen-common/debian-emacs-policy.gz
  ERROR: for details.
  dpkg: error processing /var/cache/apt/archives/cdargs_1.35-5_amd64.deb 
(--unpack):
   subprocess new pre-removal script returned error exit status 2

  Errors were encountered while processing:
   /var/cache/apt/archives/cdargs_1.35-5_amd64.deb
  E: Sub-process /usr/bin/dpkg returned an error code (1)


cheers,
	Holger
[cdargs_1.35-5.log (text/x-log, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Francois Marier <francois@debian.org>:
Bug#603789; Package cdargs. (Sat, 27 Nov 2010 15:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Fournier <marc.fournier@camptocamp.com>:
Extra info received and forwarded to list. Copy sent to Francois Marier <francois@debian.org>. (Sat, 27 Nov 2010 15:15:04 GMT) Full text and rfc822 format available.

Message #10 received at 603789@bugs.debian.org (full text, mbox):

From: Marc Fournier <marc.fournier@camptocamp.com>
To: Debian Bug Tracking System <603789@bugs.debian.org>
Subject: cdargs should not depend on emacsen-common
Date: Sat, 27 Nov 2010 16:10:55 +0100
[Message part 1 (text/plain, inline)]
Package: cdargs
Version: 1.35-5
Severity: normal
Tags: patch


I believe this problem can be fixed by removing "emacsen-common" from the
package dependencies.

This package does not benefit anyhow from having emacsen installed (although
the opposite is true).

Furthermore, when upgrading/installing version 1.35-5 of this package on a
stripped-down machine, it pulls down a whole load of stuff you probably don't
want:

# dpkg -l cdargs | grep cdargs
ii  cdargs                          1.35-3                      bookmarks and browsing for the cd command
# apt-get install cdargs=1.35-5  
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  anthy-common cdargs cpp cpp-4.4 defoma emacs23 emacs23-bin-common emacs23-common emacsen-common fontconfig
  fontconfig-config gconf2-common hicolor-icon-theme libanthy0 libasound2 libatk1.0-0 libatk1.0-data
  libavahi-client3 libavahi-common-data libavahi-common3 libcairo2 libcroco3 libcups2 libdatrie1 libdbus-glib-1-2
  libfont-freetype-perl libfontconfig1 libfontenc1 libfreetype6 libfribidi0 libgconf2-4 libgd2-noxpm libgif4
  libgmp3c2 libgsf-1-114 libgsf-1-common libgtk2.0-0 libgtk2.0-bin libgtk2.0-common libice6 libidl0 libjasper1
  libjpeg62 libm17n-0 libmpfr4 liborbit2 libotf0 libpango1.0-0 libpango1.0-common libpixman-1-0 libpng12-0
  librsvg2-2 libsm6 libthai-data libthai0 libtiff4 libxcb-render-util0 libxcb-render0 libxcomposite1 libxcursor1
  libxdamage1 libxfixes3 libxfont1 libxft2 libxi6 libxinerama1 libxpm4 libxrandr2 libxrender1 libxt6 m17n-contrib
  m17n-db ttf-dejavu-core x-ttcidfont-conf x11-common xfonts-encodings xfonts-utils
Suggested packages:
  cpp-doc gcc-4.4-locales defoma-doc psfontmgr dfontmgr emacs23-common-non-dfsg emacs23-el libasound2-plugins
  cups-common libgd-tools librsvg2-common gvfs libjasper-runtime m17n-docs ttf-japanese-gothic
  ttf-japanese-mincho ttf-thryomanes ttf-baekmuk ttf-arphic-gbsn00lp ttf-arphic-bsmi00lp ttf-arphic-gkai00mp
  ttf-arphic-bkai00mp librsvg2-bin gawk
The following NEW packages will be installed:
  anthy-common cpp cpp-4.4 defoma emacs23 emacs23-bin-common emacs23-common emacsen-common fontconfig
  fontconfig-config gconf2-common hicolor-icon-theme libanthy0 libasound2 libatk1.0-0 libatk1.0-data
  libavahi-client3 libavahi-common-data libavahi-common3 libcairo2 libcroco3 libcups2 libdatrie1 libdbus-glib-1-2
  libfont-freetype-perl libfontconfig1 libfontenc1 libfreetype6 libfribidi0 libgconf2-4 libgd2-noxpm libgif4
  libgmp3c2 libgsf-1-114 libgsf-1-common libgtk2.0-0 libgtk2.0-bin libgtk2.0-common libice6 libidl0 libjasper1
  libjpeg62 libm17n-0 libmpfr4 liborbit2 libotf0 libpango1.0-0 libpango1.0-common libpixman-1-0 libpng12-0
  librsvg2-2 libsm6 libthai-data libthai0 libtiff4 libxcb-render-util0 libxcb-render0 libxcomposite1 libxcursor1
  libxdamage1 libxfixes3 libxfont1 libxft2 libxi6 libxinerama1 libxpm4 libxrandr2 libxrender1 libxt6 m17n-contrib
  m17n-db ttf-dejavu-core x-ttcidfont-conf x11-common xfonts-encodings xfonts-utils
The following packages will be upgraded:
  cdargs
1 upgraded, 76 newly installed, 0 to remove and 0 not upgraded.
[...]


With cdargs not depending on emacsen-common, installation is clean and lean,
and upgrade from 1.35-3 works like a charm:

# dpkg -l cdargs | grep cdargs
ii  cdargs                          1.35-3                      bookmarks and browsing for the cd command
# apt-get install cdargs=1.35-5.1
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Suggested packages:
  emacs23 xemacs21 emacsen
The following packages will be upgraded:
  cdargs
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/51.6 kB of archives.
After this operation, 12.3 kB disk space will be freed.
WARNING: The following packages cannot be authenticated!
  cdargs
Install these packages without verification [y/N]? y
(Reading database ... 25886 files and directories currently installed.)
Preparing to replace cdargs 1.35-3 (using ..././cdargs_1.35-5.1_amd64.deb) ...
Unpacking replacement cdargs ...
Processing triggers for man-db ...
Setting up cdargs (1.35-5.1) ...


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (700, 'testing'), (500, 'testing-proposed-updates'), (500, 'stable'), (300, 'unstable'), (100, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages cdargs depends on:
ii  emacsen-common            1.4.19         Common facilities for all emacsen
ii  libc6                     2.11.2-7       Embedded GNU C Library: Shared lib
ii  libgcc1                   1:4.4.5-6      GCC support library
ii  libncurses5               5.7+20100313-4 shared libraries for terminal hand
ii  libstdc++6                4.4.5-6        The GNU Standard C++ Library v3

Versions of packages cdargs recommends:
ii  emacs21 [emacsen]            21.4a+1-5.7 The GNU Emacs editor

cdargs suggests no packages.
[603789.patch (text/x-diff, attachment)]

Reply sent to Francois Marier <francois@debian.org>:
You have taken responsibility. (Sat, 27 Nov 2010 19:51:05 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Sat, 27 Nov 2010 19:51:05 GMT) Full text and rfc822 format available.

Message #15 received at 603789-close@bugs.debian.org (full text, mbox):

From: Francois Marier <francois@debian.org>
To: 603789-close@bugs.debian.org
Subject: Bug#603789: fixed in cdargs 1.35-6
Date: Sat, 27 Nov 2010 19:47:15 +0000
Source: cdargs
Source-Version: 1.35-6

We believe that the bug you reported is fixed in the latest version of
cdargs, which is due to be installed in the Debian FTP archive:

cdargs_1.35-6.debian.tar.gz
  to main/c/cdargs/cdargs_1.35-6.debian.tar.gz
cdargs_1.35-6.dsc
  to main/c/cdargs/cdargs_1.35-6.dsc
cdargs_1.35-6_amd64.deb
  to main/c/cdargs/cdargs_1.35-6_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 603789@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Francois Marier <francois@debian.org> (supplier of updated cdargs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 28 Nov 2010 08:15:27 +1300
Source: cdargs
Binary: cdargs
Architecture: source amd64
Version: 1.35-6
Distribution: unstable
Urgency: medium
Maintainer: Francois Marier <francois@debian.org>
Changed-By: Francois Marier <francois@debian.org>
Description: 
 cdargs     - bookmarks and browsing for the cd command
Closes: 603789
Changes: 
 cdargs (1.35-6) unstable; urgency=medium
 .
   * Remove emacsen-common dependency to fix upgrade problems from lenny
     Thanks to Marc Fournier for the patch! (closes: #603789)
   * Downgrade emacs from Recommends to Suggests
 .
   * Bump Standards-Version to 3.9.1 (no changes)
Checksums-Sha1: 
 69e3aebab38928ddf9ba19d4955b2f1d660578e8 1799 cdargs_1.35-6.dsc
 b9ae73c4a3cd7bf542dea243cd56dffa8ce4d47c 31520 cdargs_1.35-6.debian.tar.gz
 096486b6f559d2a614cc98936c1ec144be8fcece 51794 cdargs_1.35-6_amd64.deb
Checksums-Sha256: 
 b6a0147ec8b6816c23738300c47cee211158fb2a8c04043d770cc126bc7630ba 1799 cdargs_1.35-6.dsc
 168f2dcb489e2e2e2c901be55aa6a0f63a9e377a5f8783d0d8e0330741c922a1 31520 cdargs_1.35-6.debian.tar.gz
 a5076b6269581e1bc931c757183a4bedea0f10e149c414fac55ae1a2e3c5445d 51794 cdargs_1.35-6_amd64.deb
Files: 
 587e2c4c9c240e8ff8d7b6914c0e3f6c 1799 utils optional cdargs_1.35-6.dsc
 91fe00bc2021700b8663aaadad0941b4 31520 utils optional cdargs_1.35-6.debian.tar.gz
 b342b1d8a7c05866ef816dd845dcd9ff 51794 utils optional cdargs_1.35-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM8Vl/AAoJEBYoHy4AfJjR8jAP/3kW/JCtT3gj70ekVlTsB22f
ktUlmOf4Eyu2x+g18MEaGcyatYhCdtTFdigKIoabUXD7Tnmnfq6io0YAtO9x6PQK
XpzK/6dV7caw5vdVrANXVG4+qNTrt0GwFGnbD1Z2LveIe0oGxcBYOx65HU0RrU9b
gGzQfkW6ETf+ba/qfieOoW4534hoc8wLTJC4Y905UiCPsBUfBhvEAoYP51bCsRff
eGFQtgMCaXGUV/as8YUhEf3xl5nQ4xonOWqiAfqKk+mxPWO7uuwjtn02B2x6irhJ
m/36SuRZ8bWi1p1y8LomHP6sp+PE0p1GR7Fxwu/Bb04hmCV//d30u2RjFlzlSBbm
xEPHHQMaVsW2/NlgF4YpaIP9584yZWIRaPOqK0Fd96vu27ve5SZwm4ar4MHsztnT
0gvYUVzFGFVDF+vNw4hnfNaQ9YVN6w78tdytf67ZC6t2olYzzbbgI/JNoU9on9Fz
paH5hl1nEOuUvQPI3dG2HNRL1Fs608awtleYRvazlLLMbWYcAFTGD2v8uPaoPEjF
9mybwyQhJxrWMNfnDH+xOpsVUjuZ14dC/nMzTqK7k1lhl5aPMDHQ/2ADYh9QGja7
AKXWswFibgYOdbNFBIxQHxzrMAb6Cv0+50Lvtkz84IMey3kP6WmAqTYTDwdogpbl
oCxtdhsuD+VykZbgAzTV
=CKdQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 31 Dec 2010 07:36:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:24:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.